Relation Types
Responses
200
Relation type list
application/json
401
Unauthorized
application/json
500
Internal Server Error
application/json
get/api/relation_types
GET /api/relation_types HTTP/1.1
Accept: */*
{
"data": [
{
"description": "Parent/Child",
"id": 1,
"name": "default"
},
{
"description": "Depends on",
"id": 2,
"name": "depends"
}
]
}Body
Responses
201
Relation type created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/relation_types
POST /api/relation_types HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"relation_type": {
"description": "Parent-child relationship",
"name": "parent"
}
}{
"data": {
"description": "Parent-child relationship",
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"name": "parent",
"updated_at": "2026-06-18T10:00:00Z"
}
}Path parameters
idintegerRequired
Relation type ID
Responses
200
Relation type details
application/json
401
Unauthorized
application/json
500
Internal Server Error
application/json
get/api/relation_types/{id}
GET /api/relation_types/{id} HTTP/1.1
Accept: */*
{
"data": {
"description": "Parent-child relationship",
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"name": "parent",
"updated_at": "2026-06-18T10:00:00Z"
}
}Path parameters
idintegerRequired
Relation type ID
Body
Responses
200
Relation type updated
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
put/api/relation_types/{id}
PUT /api/relation_types/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"relation_type": {
"description": "Parent-child relationship",
"name": "parent"
}
}{
"data": {
"description": "Parent-child relationship",
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"name": "parent",
"updated_at": "2026-06-18T10:00:00Z"
}
}Path parameters
idintegerRequired
Relation type ID
Body
Responses
200
Relation type updated
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
patch/api/relation_types/{id}
PATCH /api/relation_types/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"relation_type": {
"description": "Parent-child relationship",
"name": "parent"
}
}{
"data": {
"description": "Parent-child relationship",
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"name": "parent",
"updated_at": "2026-06-18T10:00:00Z"
}
}Last updated